#!/usr/bin/perl
use strict;
use warnings;
use open ":encoding(utf8)";
use autodie;

{
#    local $/;               # temporary whole-file input mode
#    $html = <FILE>;
#    $html =~ s/<[^>]*>//gs;
#    print $html;
     die "usage: $0 input output\n" unless @ARGV == 2;

     my $infile = shift;
     my $outfile = shift;
     open my $In, "<", $infile;
     open my $Out, ">", $outfile;
   
     while ( <$In> ) {
        my $html = $_;
        $html =~ s/<[^>]*>//gs;   #removing all html tags <...>
        $html =~ s/^\s+//;        #removing leading space
        $html =~ s/:\n$/: /;    #joining lines ending with colon
        print $Out $html; 
     }
        close($In);  
        close($Out);  
}
