%SPORT = (
        badminton => {
            series   => "badminton",
            nights   => [ qw(monday thursday friday) ],
            members  => [
                { name => "fred",    role => "coach", age  => 36, },
                { name => "wilma",   role => "instructor", age  => 31, },
                { name => "pebbles", role => "player",  age  =>  20, },
            ],
        },
        volleyball     => {
            series   => "volleyball",
            nights   => [ qw(wednesday saturday) ],
            members  => [
                { name => "george",  role => "coach", age  => 41, },
                { name => "jane",    role => "player", age  => 39, },
                { name => "elroy",   role => "trainee",  age  =>  9, },
            ],
         },
        taichi    => {
            series   => "taichi",
            nights   => [ qw(monday) ],
            members  => [
                { name => "homer", role => "coach", age  => 34, },
                { name => "marge", role => "instructor", age => 37, },
                { name => "bart",  role => "player",  age  =>  11, },
                { name => "peter",  role => "player",  age  =>  11, },
            ],
         },
      );
      
     # reading from file
     # this is most easily done by having the file itself be
     # in the raw data format as shown above.  perl is happy
     # to parse complex data structures if declared as data, so
     # sometimes it's easiest to do that
     # here's a piece by piece build up
     #$rec = {};
     #$rec->{series} = "basketball";
     #$rec->{nights} = [ qw(thursday friday) ];
     #@members = ();
     # assume this file in field=value syntax
     #while (<>) {
     #   %fields = split /[\s=]+/;
     #    push @members, { %fields };
     #}
     #$rec->{members} = [ @members ];
     # now remember the whole thing
     #$SPORT{ $rec->{series} } = $rec;
     ###########################################################
     # now, you might want to make interesting extra fields that
     # include pointers back into the same data structure so if
     # change one piece, it changes everywhere, like for example
     # if you wanted a {kids} field that was a reference
     # to an array of the kids' records without having duplicate
     # records and thus update problems.
     ###########################################################
     foreach $team (keys %SPORT) {
         $rec = $SPORT{$team}; # temp pointer
         @kids = ();
         for $person ( @{ $rec->{members} } ) {
             if ($person->{role} =~ /player|trainee/) {
                 push @pay, $person;
             }
         }
         # REMEMBER: $rec and $TV{$family} point to same data!!
         $rec->{pay} = [ @pay ];
     }
     
     # print the whole thing
     foreach $team ( keys %SPORT ) {
         print "the $team lesson";
         print " is held during @{ $SPORT{$team}{nights} }\n";
         print "its members are:\n";
         for $who ( @{ $SPORT{$team}{members} } ) {
             print " $who->{name} ($who->{role}), age $who->{age}\n";
         }
         print "it turns out that $SPORT{$team}{coach} has ";
         print scalar ( @{ $SPORT{$team}{pay} } ), " students named ";
         print join (", ", map { $_->{name} } @{ $SPORT{$team}{pay} } );
         print "\n";
     }